package com.ruoyi.system.domain.vo;


import com.ruoyi.system.domain.AsDevice;
import lombok.Data;

import java.util.List;

/**
 * 设备数量视图对象
 *
 * @author 邱贞招
 * @date 2024-05-09
 */
@Data
public class DeviceNumVo {

    /** 全部车辆 */
    private Integer allNum;

    /** 行驶中 */
    private Integer ridingNum;

    /** 临时锁车 */
    private Integer temporarilyLockNum;

    /** 已禁用 */
    private Integer disabledNum;

    /** 已离线 */
    private Integer offlineNum;

    /** 全部离线设备 */
    private Integer allOfflineNum;

    /** 正常待租 */
    private Integer normalNum;

    /** 预约中 */
    private Integer inAppointmentNum;

    /** 调度设备 */
    private Integer dispatchNum;

    /** 仓库设备 */
    private Integer inStashNum;

    /** 运营中 */
    private Integer inOperation;

    /** 已离线设备 */
    private List<AsDevice> offlineDevices;

}
